%define with_python_version 2.5
Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de>

Summary:   	Library to access the contents of an iPod
Name:      	libgpod
Version:   	0.6.0
Release:   	1
License: 	GNU/GPL
URL:		http://www.gtkpod.org/libgpod.html
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Patch0:		libgpod-gcc43.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	glibc-devel
BuildRequires:  glib-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  mutagen
BuildRequires:  swig
BuildRequires:	sg3-utils-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This code was originally part of gtkpod (www.gtkpod.org). When the iPod
content parsing code was made to be self-contained with gtkpod 0.93,
we chose to put this code in a separate library so that other project
can benefit from it without duplicating code.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%configure
make

%install
# removing old build
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package #
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_locale
%{_libdir}/python%{with_python_version}/site-packages/

%files devel
%defattr(-,root,root)
%_includedir
%_datadir/gtk-doc
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Version update
* Thu Jul 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.2-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.2-1
- Version update
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.3.2-2
- rebuild against latest hal/dbus
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 0.3.2-1
- Initial Release
